summary refs log tree commit diff
path: root/.ci/patch_for_twisted_trunk.sh
diff options
context:
space:
mode:
Diffstat (limited to '.ci/patch_for_twisted_trunk.sh')
-rwxr-xr-x.ci/patch_for_twisted_trunk.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/.ci/patch_for_twisted_trunk.sh b/.ci/patch_for_twisted_trunk.sh
new file mode 100755
index 0000000000..f524581986
--- /dev/null
+++ b/.ci/patch_for_twisted_trunk.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+# replaces the dependency on Twisted in `python_dependencies` with trunk.
+
+set -e
+cd "$(dirname "$0")"/..
+
+sed -i -e 's#"Twisted.*"#"Twisted @ git+https://github.com/twisted/twisted"#' synapse/python_dependencies.py